Subject: bug#666 closed by Jason Rumney <[email-masked]> (Re: Could not install Slime)

From: [email-masked] (Emacs bug Tracking System)
Date: Wed, 11 Mar 2009 14:35:06 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs,w32 package:

#666: Could not install Slime

It has been closed by Jason Rumney <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Jason Rumney <[email-masked]> by
replying to this email.

-- 
666: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=666
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: Could not install Slime
From: Jason Rumney <[email-masked]>
To: MK <[email-masked]>
Cc: [email-masked]
Date: Wed, 11 Mar 2009 22:28:48 +0800

tags 666 +notabug wontfix
thanks

MK wrote:
> I could not install SLIME into GNU Emacs 22.2.1 
> (i386-mingw-nt5.1.2600) a long time.
> I find solution (Thank to     
>        
> John Thingstad) on 
> http://groups.google.com/group/comp.lang.lisp/browse_thread/thread/bd134ae7a422404f 
> : 'Try Progra~1 instaed of "Program Files" '
> "The emacs reader is seeing eveything after Program as the next command
> line argument.
> So it can't find file "C:\Program".
> On the Bash command line I could write C:/Program\ Files/... but this
> doesn't seem to work in Emacs.
> Thus I used the DOS 8.3 long name conversion instead. This is really a
> anacronism since no-one uses DOS anymore but it still works. "
>
> What about it?

Reading the thread linked above, the problem appears to be that the path 
to the executable was not quoted, even though it contained a space, so 
the part of the path that was after the space is interpreted as the 
first argument. This is normal - all shells and programs with shell-like 
functionality require proper quoting of commands and arguments in the 
presence of whitespace and other special characters.

>From [email-masked] Thu Aug  7 02:50:20 2008
Disposition-Notification-To: MK <[email-masked]>
Date: Thu, 07 Aug 2008 13:50:07 +0400
From: MK <[email-masked]>
To: [email-masked]
Subject: Could not install Slime

I could not install SLIME into GNU Emacs 22.2.1 (i386-mingw-nt5.1.2600) 
a long time.
I find solution (Thank to  	
		
John Thingstad) on 
http://groups.google.com/group/comp.lang.lisp/browse_thread/thread/bd134ae7a422404f 
: 'Try Progra~1 instaed of "Program Files" '
"The emacs reader is seeing eveything after Program as the next command
line argument.
So it can't find file "C:\Program".
On the Bash command line I could write C:/Program\ Files/... but this
doesn't seem to work in Emacs.
Thus I used the DOS 8.3 long name conversion instead. This is really a
anacronism since no-one uses DOS anymore but it still works. "

What about it?

Mike

In GNU Emacs 22.2.1 (i386-mingw-nt5.1.2600)
  of 2008-03-26 on RELEASE
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4)'

Important settings:
   value of $LC_ALL: nil
   value of $LC_COLLATE: nil
   value of $LC_CTYPE: nil
   value of $LC_MESSAGES: nil
   value of $LC_MONETARY: nil
   value of $LC_NUMERIC: nil
   value of $LC_TIME: nil
   value of $LANG: RUS
   locale-coding-system: cp1251
   default-enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
   show-paren-mode: t
   cua-mode: t
   encoded-kbd-mode: t
   tooltip-mode: t
   tool-bar-mode: t
   mouse-wheel-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   blink-cursor-mode: t
   unify-8859-on-encoding-mode: t
   utf-translate-cjk-mode: t
   auto-compression-mode: t
   line-number-mode: t
   transient-mark-mode: t

Recent input:
<help-echo> <help-echo> <help-echo> <down-mouse-1>
<help-echo> <mouse-movement> <mouse-movement> <C-drag-mouse-1>
C-c <timeout> <help-echo> <help-echo> <help-echo> <help-echo>
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
<help-echo> <help-echo> <help-echo> <help-echo> <menu-bar>
<help-menu> <send-emacs-bug-report>

Recent messages:
"\"D:/Program Files/clisp-2.46/clisp.exe  -repl\""

Loading cl-macs...done
Loading cl-seq...done
Loading easy-mmode...done
Loading cua-base...done
Loading paren...done
Loading regexp-opt...done
For information about GNU Emacs and the GNU system, type C-h C-a.
Loading emacsbug...done

*** E-Mail body has been placed on clipboard, please paste them here! ***